GET /live-streams

api.video

Summary: List all live streams
Operation ID: GET_live-streams
Auth: unknown
Description

With no parameters added to the url, this will return all livestreams. Query by name or key to limit the list.

Parameters (6)

currentPage (integer, query, optional, default: 1)

Choose the number of search results to return per page. Minimum value: 1

name (string, query, optional)

You can filter live streams by their name or a part of their name.

pageSize (integer, query, optional, default: 25)

Results per page. Allowed values 1-100, default is 25.

sortBy (string, query, optional)

Allowed: createdAt, publishedAt, name. createdAt - the time a livestream was created using the specified streamKey. publishedAt - the time a livestream was published using the specified streamKey. name - the name of the livestream. If you choose one of the time based options, the time is presented in ISO-8601 format.

sortOrder (string, query, optional)

Allowed: asc, desc. Ascending for date and time means that earlier values precede later ones. Descending means that later values preced earlier ones. For title, it is 0-9 and A-Z ascending and Z-A, 9-0 descending.

Constraints: {'enum': ['asc', 'desc']}

streamKey (string, query, optional)

The unique stream key that allows you to stream videos.

No probe data for this endpoint yet.